Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFEmbeddedFile

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.AbstractPDFStream
              org.apache.fop.pdf.PDFStream
                  org.apache.fop.pdf.PDFEmbeddedFile

All Implemented Interfaces:
  PDFWritable

    public class PDFEmbeddedFile

extends PDFStream

This class represents an embedded file stream.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFStream
`data`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFEmbeddedFile()` Creates a new embedded file stream.

Method Summary
`protected boolean` | `isEncodingOnTheFly()` Determine if should encode on the fly.
`protected void` | `populateStreamDict(java.lang.Object lengthEntry)` Populates the dictionary with all necessary entries for the stream.

Methods inherited from class org.apache.fop.pdf.PDFStream
`add, add, getBufferOutputStream, getBufferWriter, getDataLength, getSizeHint, output, outputRawStreamData, setData, streamHashCode`

Methods inherited from class org.apache.fop.pdf.AbstractPDFStream
`encodeAndWriteStream, encodeStream, get, getChildren, getDefaultFilterName, getDictionary, getFilterList, multipleFiltersAllowed, outputStreamData, prepareImplicitFilters, put, registerChildren, setDocument, setupFilterList`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFEmbeddedFile

    public PDFEmbeddedFile()

  Creates a new embedded file stream.

Method Detail

### isEncodingOnTheFly

    protected boolean isEncodingOnTheFly()

  Determine if should encode on the fly.

  Returns:
    true if should encode on the fly

### populateStreamDict

    protected void populateStreamDict(java.lang.Object lengthEntry)

  Populates the dictionary with all necessary entries for the stream. Override this method if you need additional entries.

  Overrides:
    `populateStreamDict` in class `AbstractPDFStream`
  Parameters:
    `lengthEntry` - value for the /Length entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.